%define _requires_exceptions devel(libatiuki)

Name:			baltazar
Summary:		Baltazar is downloader for RapidShare free users
URL:			http://www.njsoft.iz.rs/baltazar/en/
Group:			Networking/File transfer
Version:		0.2
Release:		%mkrel 2
License:		GPL
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:		http://www.fileden.com/files/2007/8/23/1373806/download/%{name}.tar.xz
Source90:		%{name}-rpmlintrc
BuildRequires:	        fdupes
BuildRequires:	        rpmlib(CompressedFileNames) <= 3.0.4-1
Requires:		python-mechanize
BuildArch:		noarch

%description
Baltazar is downloader for RapidShare free users, just add
links to Baltazar and download can begin.

%prep
%setup -q -n Baltazar
%__sed -i -e 's|Icon=/usr/share/icons/baltazar.png|Icon=baltazar|g' \
	%{name}.desktop
%__sed -i -e 's|Exec=/usr/bin/baltazar > /dev/null|Exec=%{name}|g' \
	%{name}.desktop

%build

%install
%__install -dm 755 %{buildroot}%{_datadir}/icons
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__make install \
	PREFIX=%{buildroot}%{_prefix}

# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{name}.png \
	%{buildroot}%{_datadir}/pixmaps


%__chmod 755 %{buildroot}%{_datadir}/%{name}/%{name}.py

desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-Internet-FileTransfer" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*



fdupes -s %{buildroot}

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.glade
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.py
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/%{name}.png
%{_datadir}/baltazar/types/*

%changelog
* Sat Oct 10 2011 Archie <pclinuxos.ph at gmail.com> 0.2-2pclos2011
- Rebuild for x86_64

* Wed Oct 20 2010 Sproggy <desprogsster@gmail.com> 0.2-1pclos2010
- 0.2

* Tue Jul 28 2009 johnnyblack <johnnyblack at inbox.com> 0.1-1pclos2009
- create

